tclap: TCLAP::UnlabeledMultiArg< T > Class Template Reference

# TCLAP::UnlabeledMultiArg< T > Class Template Reference

Just like a MultiArg, except that the arguments are unlabeled. More...

`#include <UnlabeledMultiArg.h>`

Inheritance diagram for TCLAP::UnlabeledMultiArg< T >:

List of all members.

## Public Member Functions
| UnlabeledMultiArg (const std::string &name, const std::string &desc, bool req, const std::string &typeDesc, bool ignoreable=false, Visitor *v=NULL)
| Constructor.
| UnlabeledMultiArg (const std::string &name, const std::string &desc, bool req, const std::string &typeDesc, CmdLineInterface &parser, bool ignoreable=false, Visitor *v=NULL)
| Constructor.
| UnlabeledMultiArg (const std::string &name, const std::string &desc, bool req, Constraint< T > *constraint, bool ignoreable=false, Visitor *v=NULL)
| Constructor.
| UnlabeledMultiArg (const std::string &name, const std::string &desc, bool req, Constraint< T > *constraint, CmdLineInterface &parser, bool ignoreable=false, Visitor *v=NULL)
| Constructor.
virtual bool | processArg (int *i, std::vector< std::string > &args)
| Handles the processing of the argument.
virtual std::string | shortID (const std::string &val="val") const
| Returns the a short id string.
virtual std::string | longID (const std::string &val="val") const
| Returns the a long id string.
virtual bool | operator== (const Arg &a) const
| Opertor ==.
virtual void | addToList (std::list< Arg * > &argList) const
| Pushes this to back of list rather than front.

## Detailed Description

### template<class T>
class TCLAP::UnlabeledMultiArg< T >

Just like a MultiArg, except that the arguments are unlabeled.

Basically, this Arg will slurp up everything that hasn't been matched to another Arg.

Definition at line 40 of file UnlabeledMultiArg.h.

## Constructor & Destructor Documentation

template<class T >

TCLAP::UnlabeledMultiArg< T >::UnlabeledMultiArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | const std::string & | typeDesc,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | name | - The name of the Arg. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | typeDesc | - A short, human readable description of the type that this object expects. This is used in the generation of the USAGE statement. The goal is to be helpful to the end user of the program.
  | ignoreable | - Whether or not this argument can be ignored using the "--" flag.
  | v | - An optional visitor. You probably should not use this unless you have a very good reason.

Definition at line 187 of file UnlabeledMultiArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

template<class T >

TCLAP::UnlabeledMultiArg< T >::UnlabeledMultiArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | const std::string & | typeDesc,
|  | CmdLineInterface & | parser,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | name | - The name of the Arg. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | typeDesc | - A short, human readable description of the type that this object expects. This is used in the generation of the USAGE statement. The goal is to be helpful to the end user of the program.
  | parser | - A CmdLine parser object to add this Arg to
  | ignoreable | - Whether or not this argument can be ignored using the "--" flag.
  | v | - An optional visitor. You probably should not use this unless you have a very good reason.

Definition at line 200 of file UnlabeledMultiArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::CmdLineInterface::add(), TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

template<class T >

TCLAP::UnlabeledMultiArg< T >::UnlabeledMultiArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | Constraint< T > * | constraint,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | name | - The name of the Arg. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | constraint | - A pointer to a Constraint object used to constrain this Arg.
  | ignoreable | - Whether or not this argument can be ignored using the "--" flag.
  | v | - An optional visitor. You probably should not use this unless you have a very good reason.

Definition at line 216 of file UnlabeledMultiArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

template<class T >

TCLAP::UnlabeledMultiArg< T >::UnlabeledMultiArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | Constraint< T > * | constraint,
|  | CmdLineInterface & | parser,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | name | - The name of the Arg. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | constraint | - A pointer to a Constraint object used to constrain this Arg.
  | parser | - A CmdLine parser object to add this Arg to
  | ignoreable | - Whether or not this argument can be ignored using the "--" flag.
  | v | - An optional visitor. You probably should not use this unless you have a very good reason.

Definition at line 229 of file UnlabeledMultiArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::CmdLineInterface::add(), TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

## Member Function Documentation

template<class T >

void TCLAP::UnlabeledMultiArg< T >::addToList | ( | std::list< Arg * > & | argList | ) | const`[inline, virtual]`

Pushes this to back of list rather than front.

Parameters:

  | argList | - The list this should be added to.

Definition at line 294 of file UnlabeledMultiArg.h.

template<class T >

std::string TCLAP::UnlabeledMultiArg< T >::longID | ( | const std::string & | val = `"val"` | ) | const`[inline, virtual]`

Returns the a long id string.

Used in the usage.

Parameters:

  | val | - value to be used.

Reimplemented from TCLAP::MultiArg< T >.

Definition at line 278 of file UnlabeledMultiArg.h.

References TCLAP::MultiArg< T >::_typeDesc.

template<class T >

bool TCLAP::UnlabeledMultiArg< T >::operator== | ( | const Arg & | a | ) | const`[inline, virtual]`

Opertor ==.

Parameters:

  | a | - The Arg to be compared to this.

Definition at line 285 of file UnlabeledMultiArg.h.

References TCLAP::Arg::_description, TCLAP::Arg::_name, TCLAP::Arg::getDescription(), and TCLAP::Arg::getName().

template<class T >

bool TCLAP::UnlabeledMultiArg< T >::processArg | ( | int * | i,
|  | std::vector< std::string > & | args |
| ) |  |  | `[inline, virtual]`

Handles the processing of the argument.

This re-implements the Arg version of this method to set the _value of the argument appropriately. It knows the difference between labeled and unlabeled.

Parameters:

  | i | - Pointer the the current argument in the list.
  | args | - Mutable list of strings. Passed from main().

Reimplemented from TCLAP::MultiArg< T >.

Definition at line 245 of file UnlabeledMultiArg.h.

References TCLAP::Arg::_alreadySet, TCLAP::MultiArg< T >::_extractValue(), and TCLAP::Arg::_hasBlanks().

template<class T >

std::string TCLAP::UnlabeledMultiArg< T >::shortID | ( | const std::string & | val = `"val"` | ) | const`[inline, virtual]`

Returns the a short id string.

Used in the usage.

Parameters:

  | val | - value to be used.

Reimplemented from TCLAP::MultiArg< T >.

Definition at line 271 of file UnlabeledMultiArg.h.

References TCLAP::MultiArg< T >::_typeDesc.

The documentation for this class was generated from the following file:

- UnlabeledMultiArg.h